# eric6.E5Gui.E5FileDialog

Module implementing alternative functions for the QFileDialog static methods to cope with distributor's usage of KDE wrapper dialogs for Qt file dialogs.

### Global Attributes

DontConfirmOverwrite
DontResolveSymlinks
DontUseCustomDirectoryIcons
DontUseNativeDialog
DontUseSheet
HideNameFilterDetails
Option
Options
ReadOnly
ShowDirsOnly

### Classes

None

### Functions

__reorderFilter | Private function to reorder the file filter to cope with a KDE issue introduced by distributor's usage of KDE file dialogs.
getExistingDirectory | Module function to get the name of a directory.
getOpenFileName | Module function to get the name of a file for opening it.
getOpenFileNameAndFilter | Module function to get the name of a file for opening it and the selected file name filter.
getOpenFileNames | Module function to get a list of names of files for opening.
getOpenFileNamesAndFilter | Module function to get a list of names of files for opening and the selected file name filter.
getSaveFileName | Module function to get the name of a file for saving it.
getSaveFileNameAndFilter | Module function to get the name of a file for saving it and the selected file name filter.

## __reorderFilter

__reorderFilter(filterStr, initialFilter="")

Private function to reorder the file filter to cope with a KDE issue introduced by distributor's usage of KDE file dialogs.

filterStr
  Qt file filter (string)
initialFilter
  initial filter (string)

Returns:
  the rearranged Qt file filter (string)

Up

## getExistingDirectory

getExistingDirectory(parent=None, caption="", directory="", options=QFileDialog.ShowDirsOnly)

Module function to get the name of a directory.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (string)
directory
  working directory of the dialog (string)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  name of selected directory (string)

Up

## getOpenFileName

getOpenFileName(parent=None, caption="", directory="", filterStr="", options=None)

Module function to get the name of a file for opening it.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (string)
directory
  working directory of the dialog (string)
filterStr
  filter string for the dialog (string)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  name of file to be opened (string)

Up

## getOpenFileNameAndFilter

getOpenFileNameAndFilter(parent=None, caption="", directory="", filterStr="", initialFilter="", options=None)

Module function to get the name of a file for opening it and the selected file name filter.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (string)
directory
  working directory of the dialog (string)
filterStr
  filter string for the dialog (string)
initialFilter
  initial filter for the dialog (string)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  name of file to be opened and selected filter (string, string)

Up

## getOpenFileNames

getOpenFileNames(parent=None, caption="", directory="", filterStr="", options=None)

Module function to get a list of names of files for opening.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (string)
directory
  working directory of the dialog (string)
filterStr
  filter string for the dialog (string)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  list of file names to be opened (list of string)

Up

## getOpenFileNamesAndFilter

getOpenFileNamesAndFilter(parent=None, caption="", directory="", filterStr="", initialFilter="", options=None)

Module function to get a list of names of files for opening and the selected file name filter.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (string)
directory
  working directory of the dialog (string)
filterStr
  filter string for the dialog (string)
initialFilter
  initial filter for the dialog (string)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  list of file names to be opened and selected filter (list of string, string)

Up

## getSaveFileName

getSaveFileName(parent=None, caption="", directory="", filterStr="", options=None)

Module function to get the name of a file for saving it.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (string)
directory
  working directory of the dialog (string)
filterStr
  filter string for the dialog (string)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  name of file to be saved (string)

Up

## getSaveFileNameAndFilter

getSaveFileNameAndFilter(parent=None, caption="", directory="", filterStr="", initialFilter="", options=None)

Module function to get the name of a file for saving it and the selected file name filter.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (string)
directory
  working directory of the dialog (string)
filterStr
  filter string for the dialog (string)
initialFilter
  initial filter for the dialog (string)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  name of file to be saved and selected filter (string, string)

Up